Name: chev
Summary: Check online vulnerabilities rss feeds for important pieces of software
Version: 0.8.2
Release: 1
License: GPL
Group: Applications/System
URL: http://opensource.eyemg.com
Source0: chev.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
#BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: i386
Autoreq: 0
Requires: python
BuildRequires: python-devel

%description
Simple check which can be used from cron or nagios to check critical pieces of
software for vulnerabilities using security focus, nist and other lists as
sources.

%prep
echo Building %{name}-%{version}-%{release}

#%setup -q -n %{name}-%{version}

%build
tar xvfz %{SOURCE0}

%install
# Remove ddold BUILD ROOT
rm -rf ${RPM_BUILD_ROOT}

# Main scripts & libraries
install -d ${RPM_BUILD_ROOT}/usr/local/chev
install -d ${RPM_BUILD_ROOT}/usr/local/chev/bin
install -d ${RPM_BUILD_ROOT}/usr/local/chev/etc
install -d ${RPM_BUILD_ROOT}/usr/local/chev/lib
install src/bin/chev ${RPM_BUILD_ROOT}/usr/local/chev/bin/chev
install src/etc/chev.conf ${RPM_BUILD_ROOT}/usr/local/chev/etc/chev.conf
install src/etc/warn.conf ${RPM_BUILD_ROOT}/usr/local/chev/etc/warn.conf
install src/etc/crit.conf ${RPM_BUILD_ROOT}/usr/local/chev/etc/crit.conf
install src/etc/feeds.conf ${RPM_BUILD_ROOT}/usr/local/chev/etc/feeds.conf
install src/lib/crunchtools.py ${RPM_BUILD_ROOT}/usr/local/chev/lib/crunchtools.py
install src/lib/feedparser.py ${RPM_BUILD_ROOT}/usr/local/chev/lib/feedparser.py

# Licensing & Docs
install -d ${RPM_BUILD_ROOT}/usr/local/chev/doc
install src/README ${RPM_BUILD_ROOT}/usr/local/chev/doc/README
install src/AUTHORS ${RPM_BUILD_ROOT}/usr/local/chev/doc/AUTHORS
install src/COPYING ${RPM_BUILD_ROOT}/usr/local/chev/doc/COPYING
install src/lib/LICENSE ${RPM_BUILD_ROOT}/usr/local/chev/doc/LICENSE-feedparser

%clean
rm -fr $RPM_BUILD_ROOT
rm -rf src
rm -rf %{SOURCE0}

%files
/usr/local/chev/bin/chev
/usr/local/chev/etc/chev.conf
/usr/local/chev/etc/warn.conf
/usr/local/chev/etc/crit.conf
/usr/local/chev/etc/feeds.conf
/usr/local/chev/lib/crunchtools.py*
/usr/local/chev/lib/feedparser.py*
/usr/local/chev/doc

%defattr(-,root,root,-)

%changelog
* Fri Sep 18 2009 Scott McCarty <smccarty@eyemg.com>
- Fixed bug with has_entry because double spaces which cannot be entered into syslog
- Fixed bug with double entries in log because of multiple entries for a specific software in warn.conf or crit.conf
- Completely revamped the way log entries are identified, now uses SHA1 hash for all warn/acknowledge logic

* Mon Sep 15 2009 Scott McCarty <smccarty@eyemg.com>
- Bugfix for acknowledgements

* Thu Sep 10 2009 Scott McCarty <smccarty@eyemg.com>
- First working version
