#!/bin/bash

rm -rf deb/chev

# Create directory structure
mkdir -p deb/chev/DEBIAN
mkdir -p deb/chev/usr/local/chev/bin
mkdir -p deb/chev/usr/local/chev/lib
mkdir -p deb/chev/usr/local/chev/etc
mkdir -p deb/chev/usr/local/chev/doc
mkdir -p deb/chev/usr/bin

# Copy in control files
cp deb/control deb/chev/DEBIAN/control
cp deb/postinst deb/chev/DEBIAN/postinst
cp deb/postrm deb/chev/DEBIAN/postrm

# Now fill with latest data
## Bin
rsync -aq --exclude=.svn ../src/bin/ deb/chev/usr/local/chev/bin/

## Etc
rsync -aq --exclude=.svn ../src/etc/ deb/chev/usr/local/chev/etc/

## Docs
cp ../src/AUTHORS deb/chev/usr/local/chev/doc/AUTHORS
cp ../src/COPYING deb/chev/usr/local/chev/doc/COPYING
cp ../src/README deb/chev/usr/local/chev/doc/README

## Lib
rsync -aq --exclude=.svn ../src/lib/ deb/chev/usr/local/chev/lib/

## Compile byte code
#python -m crunchtools deb/chev/usr/local/chev/lib/
#python -m feedparser deb/chev/usr/local/chev/lib/

# Build the package
version=`cat deb/control | grep Version | awk '{print $2}'`
dpkg -b deb/chev chev_${version}_i386.deb

# Clean up
rm -rf deb/chev
